AWSTemplateFormatVersion : '2010-09-09'
Transform: AWS::Serverless-2016-10-31

Parameteres:
  Runtime:
    Type: String
  CodeUri:
    Type: String
  Handler:
    Type: String
  BuildMethod:
    Type: String

Resources:

  Function:
    Type: AWS::Serverless::Function
    Properties:
      Handler: !Ref Handler
      Runtime: !Ref Runtime
      CodeUri: !Ref CodeUri
      Timeout: 600
    Metadata:
      BuildMethod: !Ref BuildMethod

